<?php

/**
 * @file
 * Taxonomy Machine Name Migrate Module File.
 */

/**
 * Class MigrateTaxonomyTermMachineNameHandler
 */
class MigrateTaxonomyTermMachineNameHandler extends MigrateDestinationHandler {
  /**
   * Specify list of types supports.
   */
  public function __construct() {
    $this->registerTypes(array('taxonomy_term'));
  }

  /**
   * List of fields supported.
   *
   * @return array
   *   List.
   */
  public function fields() {
    return array(
      'machine_name' => t('Machine name'),
    );
  }
}

/**
 * Class MigrateDestinationTermMachineName
 */
class MigrateDestinationTermMachineName extends MigrateDestinationTerm {
  /**
   * Attempt to find a term that has the same machine name.
   *
   * @param object $term
   *   A taxonomy term object with at least the machine
   *   name and vid properties defined.
   *
   * @return object
   *   A matching taxonomy term object if found, otherwise FALSE.
   */
  public function findMatchingTerm($term) {
    $candidate = taxonomy_term_machine_name_load(trim($term->machine_name), $term->vid);

    if (is_object($candidate)) {
      return $candidate;
    }
    else {
      return FALSE;
    }
  }
}
